Skip to content
You're viewing documentation for v2026.11.14-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Create a support report

Create a support report bundle (built asynchronously).

POST/api/v1/reports
Authorization
tse_sessionAPI key · cookierequired
Request body
requiredapplication/json
database_servicesReportDatabaseServiceSelection[]
Show properties
Array of ReportDatabaseServiceSelection
idstring
optionsReportOptions
Show properties
include_backup_configboolean
include_extensionsboolean
include_healthboolean
include_postgresql_infoboolean
include_workflowsboolean
descriptionstring
include_app_logsboolean
issue_typestring
server_idsstring[]
subjectstring
Responses
202

Accepted

created_atstringrequired
database_service_namesstring[]required
descriptionstring
errorstring
idstringrequired
issue_typestringrequired
server_namesstring[]required
size_bytesinteger<int64>required
statusstringrequired
Allowed:buildingreadyfailed
subjectstringrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/reports' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "database_services": [
    {
      "id": "string",
      "options": {
        "include_backup_config": true,
        "include_extensions": true,
        "include_health": true,
        "include_postgresql_info": true,
        "include_workflows": true
      }
    }
  ],
  "description": "string",
  "include_app_logs": true,
  "issue_type": "string",
  "server_ids": [
    "string"
  ],
  "subject": "string"
}'
Response
{
  "created_at": "string",
  "database_service_names": [
    "string"
  ],
  "description": "string",
  "error": "string",
  "id": "string",
  "issue_type": "string",
  "server_names": [
    "string"
  ],
  "size_bytes": 0,
  "status": "building",
  "subject": "string"
}